Skip to content

Search Foundry user role mappings

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
filtersArray of objects(Filter_request)
pageobject(Page_request)
curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/userRoleMapping/search \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "filters": [
      {
        "displayName": "string",
        "isCompoundFilter": true,
        "negativeFilter": true,
        "filterType": "FILTER",
        "field": "string",
        "values": [
          {}
        ],
        "accessibleValues": [
          {}
        ],
        "userFilter": true,
        "allValuesAllowed": true,
        "lockedWithValues": true,
        "hidden": true,
        "favourite": true,
        "mandatory": true,
        "locked": true,
        "ignoreAddingToDimensionFilter": true,
        "disabled": true,
        "details": {
          "property1": {},
          "property2": {}
        },
        "filters": [
          {}
        ],
        "advancedFilters": [
          {
            "filter": "string",
            "fieldInfo": {
              "property1": {
                "name": "string",
                "label": "string",
                "type": "LONG",
                "fieldType": "string",
                "header": "string"
              },
              "property2": {
                "name": "string",
                "label": "string",
                "type": "LONG",
                "fieldType": "string",
                "header": "string"
              }
            },
            "valueInfo": {
              "property1": {},
              "property2": {}
            },
            "type": "POST",
            "field": "string",
            "details": {
              "property1": {},
              "property2": {}
            },
            "label": "string",
            "value": "string",
            "additional": {
              "property1": {},
              "property2": {}
            }
          }
        ]
      }
    ],
    "page": {
      "page": 0,
      "size": 0,
      "skip": 0,
      "cursor": "string"
    }
  }'

Responses

Success

Bodyapplication/json
Array [
emailstring
roleIdstring
]
Response
[ { "email": "string", "roleId": "string" } ]